%define upstream_name    Parse-CPAN-Meta
%define upstream_version 1.4417

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse META.yml and other similar CPAN metadata files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::YAML) >= 0.11.0
BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(JSON::PP) >= 2.272.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
*Parse::CPAN::Meta* is a parser for META.yml files, based on the parser
half of the YAML::Tiny manpage.

It supports a basic subset of the full YAML specification, enough to
implement parsing of typical META.yml files, and other similarly simple
YAML files.

If you need something with more power, move up to a full YAML parser such
as the YAML manpage, the YAML::Syck manpage or the YAML::LibYAML manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Parse

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.441.700-3.mga6
+ Revision: 1031656
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.441.700-2.mga6
+ Revision: 968095
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.441.700-1.mga6
+ Revision: 851316
- update to 1.4417

* Wed Oct 15 2014 umeabot <umeabot> 1.441.400-4.mga5
+ Revision: 745630
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.441.400-3.mga5
+ Revision: 733216
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.441.400-2.mga5
+ Revision: 685887
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 1.441.400-1.mga5
+ Revision: 602797
- update to 1.4414

* Tue Feb 25 2014 jquelin <jquelin> 1.441.300-1.mga5
+ Revision: 596801
- update to 1.4413

* Mon Feb 10 2014 jquelin <jquelin> 1.440.900-3.mga5
+ Revision: 588003
- rebuild after perl 5.18.2

* Mon Oct 21 2013 umeabot <umeabot> 1.440.900-2.mga4
+ Revision: 537413
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.440.900-1.mga4
+ Revision: 486984
- update to 1.4409

* Thu Jul 25 2013 sander85 <sander85> 1.440.500-1.mga4
+ Revision: 457937
- update to 1.4405

* Wed Mar 27 2013 jquelin <jquelin> 1.440.400-6.mga3
+ Revision: 405517
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.440.400-5.mga3
+ Revision: 371515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.440.400-4.mga3
+ Revision: 315550
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.440.400-3.mga3
+ Revision: 294852
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 1.440.400-2.mga3
+ Revision: 284598
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 1.440.400-1.mga3
+ Revision: 254250
- update to 1.4404

* Tue Mar 06 2012 jquelin <jquelin> 1.440.200-1.mga2
+ Revision: 219822
- update to 1.4402
- update to 1.4402

* Mon Feb 28 2011 jquelin <jquelin> 1.440.100-3.mga1
+ Revision: 61786
- use META.yml for requires, remove require on perl-JSON-PP

* Thu Feb 17 2011 jquelin <jquelin> 1.440.100-2.mga1
+ Revision: 53187
- rebuild

* Tue Feb 08 2011 jquelin <jquelin> 1.440.100-1.mga1
+ Revision: 49011
- update buildrequires:
- update buildrequires:
- update to 1.4401

* Tue Jan 18 2011 jquelin <jquelin> 1.400.0-2.mga1
+ Revision: 22738
- cleaning spec file
- imported package perl-Parse-CPAN-Meta


* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-2mdv2010.0
+ Revision: 420981
- rebuild

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2010.0
+ Revision: 408838
- update to 1.40

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.390.0-1mdv2010.0
+ Revision: 404284
- rebuild using %%perl_convert_version

* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.39-1mdv2010.0
+ Revision: 378236
- update to new version 1.39

* Sun May 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.38-1mdv2010.0
+ Revision: 376728
- update to new version 1.38

* Thu Mar 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2009.1
+ Revision: 354172
- update to new version 0.05

* Fri Feb 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.1
+ Revision: 343257
- import perl-Parse-CPAN-Meta


* Fri Feb 20 2009 cpan2dist 0.04-1mdv
- initial mdv release, generated with cpan2dist

